Bug 120931 - Dependencies not in rpm
Summary: Dependencies not in rpm
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-printer   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-15 12:37 UTC by Biju Chacko
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 0.6.47.3.20-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 16:07:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Biju Chacko 2004-04-15 12:37:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
redhat-config-printer is dependent on:

PyXML
alchemist
gnome-python2-canvas
gnome-python2-gtkhtml2

However, it possible to install the redhat-config-printer rpm package
without having the above packages installed. The rpm spec file needs
to list the above packages as dependencies

Version-Release number of selected component (if applicable):
redhat-config-printer-0.6.47.3.13-1

How reproducible:
Always

Steps to Reproduce:
1. Do a minimal install of RHEL 3
2. Install redhat-config-printer
3. Attempt to run the program
    

Additional info:

Comment 1 Biju Chacko 2004-04-15 13:08:28 UTC
The package also depends on foomatic

Comment 2 Tim Waugh 2004-04-15 13:15:28 UTC
redhat-config-printer-0.6.47.3.19-1 currently already depends on:

PyXML >= 0.7.1-6
alchemist >= 1.0.12
foomatic >= 2.0.2-4

redhat-config-printer-gui-0.6.47.3.19-1 currently already depends on:

gnome-python2-gtkhtml2

So I think the only missing dependency is gnome-python2-canvas.  Do
you agree?

(That dependency already exists in the current Fedora package.)

Comment 3 Biju Chacko 2004-04-15 15:15:32 UTC
Yep, that should sort it out.


Note You need to log in before you can comment on or make changes to this bug.